package com.usky.park.controller.web;


import com.usky.park.domain.DataStHistory;
import com.usky.park.mapper.DataStHistoryMapper;
import com.usky.park.service.DataStHistoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 无人驿站历史数据 前端控制器
 * </p>
 *
 * @author fu
 * @since 2023-11-29
 */
@RestController
@RequestMapping("/dataStHistory")
public class DataStHistoryController {

    @Autowired
    private DataStHistoryService dataStHistoryService;

    @Autowired
    private DataStHistoryMapper dataStHistoryMapper;


    /**
     * 新增
     *
     * @param dataStHistory
     * @return
     */
    @PostMapping("/add")
    public void add(@RequestBody DataStHistory dataStHistory,
                    @RequestHeader("appKey") String appKey) {
        dataStHistoryService.add(dataStHistory, appKey);
    }

}

